<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateClaimsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: claims
         */
        Schema::create('claims', function ($table) {
            $table->increments('id');
            $table->text('business_id')->nullable();
            $table->text('alias')->nullable();
            $table->string('name', 60)->nullable();
            $table->text('image_url')->nullable();
            $table->string('is_claimed', 30)->nullable();
            $table->string('is_closed', 30)->nullable();
            $table->text('url')->nullable();
            $table->string('phone', 20)->nullable();
            $table->string('display_phone', 20)->nullable();
            $table->integer('review_count')->nullable();
            $table->text('categories')->nullable();
            $table->integer('rating')->nullable();
            $table->text('location')->nullable();
            $table->text('coordinates')->nullable();
            $table->text('photos')->nullable();
            $table->text('hours')->nullable();
            $table->integer('transactions')->nullable();
            $table->text('messaging')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('claims');
    }
}
